*******************************************************************************************      
* GRAMS OF FOOD CONSUMED IN LAST 7 DAYS - Section I
*
*  INPUT DATA SETS:
*    	sec_i.dta
*     MWconversion.dta
* 	 
*  OUTPUT DATA SETS:
* 	expagg_food0.dta
* 
*******************************************************************************************
capture log close
clear
set mem 300m

log using "$output\expagg_food0", text replace

set more off

use "$data\sec_i.dta",clear
keep if i01 == 1
gen north=(dist>=101 & dist<=105)
gen otherfood= (i02==117|i02==209|i02==309|i02==413|i02==512|i02==610|i02==830|i02==709|i02==804|i02==913|i02==817)
drop i0*oth 
tempfile sec_i
save `sec_i'

********************************************************************************************
*		PURCHASED FOOD IN LAST 7 DAYS - i05
use `sec_i'
drop if  i05== .  | i05==0
*INCLUDING CONVERTION FACTORS FOR COMMON UNITS OF MEASURMENT
ren i04b unit
sort i02 unit north
merge i02 unit north using $dataoth2\mwconversion.dta
tab _m
tab i02 unit if _m==1,m				/* NOT ALL UNITS ARE IN MWCONVERSION.DTA*/
tab i02 unit if _m==1 & other~=1,m
drop if _m==2
assert case~=""
*TOTAL CONSUMPTION IN GRAMS FOR POVERTY LINE
gen seci_grams_05=i04a*grams
*REPLACING OUTLIERS IN GRAMS CONSUMPTION
bys i02: egen mediang = median(seci_grams_05)
replace seci_grams=mediang if i02==101 & seci_grams>35000 & seci_grams~=.
replace seci_grams=mediang if i02==102 & seci_grams>35000 & seci_grams~=.
replace seci_grams=mediang if i02==103 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==104 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==105 & seci_grams>35000 & seci_grams~=.
replace seci_grams=mediang if i02==106 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==107 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==108 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==111 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==112 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==113 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==114 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==115 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==116 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==201 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==202 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==203 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==204 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==205 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==206 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==207 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==208 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==301 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==302 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==303 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==304 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==305 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==306 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==307 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==401 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==402 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==403 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==404 & seci_grams>15000 & seci_grams~=.
replace seci_grams=mediang if i02==405 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==406 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==407 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==408 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==409 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==410 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==411 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==412 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==501 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==502 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==503 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==504 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==505 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==506 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==507 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==508 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==509 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==510 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==511 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==601 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==602 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==603 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==604 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==605 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==606 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==607 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==608 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==609 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==701 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==702 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==703 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==704 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==705 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==706 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==707 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==708 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==801 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==802 & seci_grams>30000 & seci_grams~=.
replace seci_grams=mediang if i02==803 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==810 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==811 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==812 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==813 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==814 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==815 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==816 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==820 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==821 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==822 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==823 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==824 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==825 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==826 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==827 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==828 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==829 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==901 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==902 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==903 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==904 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==905 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==906 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==907 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==908 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==909 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==910 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==911 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==912 & seci_grams>5000 & seci_grams~=.
sort case_id i02

ren i05 i05_exp
*Outliers in food expenditure from purchases
gen log5=log(i05_exp)
bys i02:egen sd=sd(log5)
bys i02:egen mean=mean(log5)
*This rule follows deaton 2000 & Whelan 2005  
bys i02:gen limit=2.5*sd
bys i02:gen upper=mean+limit
bys i02:gen lower=mean-limit
bys i02:gen tag=1 if ((log5>upper & log5~=.)|log5<lower)
bys i02:egen medexp=median(i05_exp)
replace i05_exp=medexp if tag==1
assert i05_exp~=. if i04a~=.

collapse (sum) seci_grams_05 i05_exp , by(case_id i02 )  
bys case_id i02: assert _n==1
sort case i02
tempfile sec_i02_5
save `sec_i02_5'

********************************************************************************************
* 		OWN PRODUCED FOOD LAST 7 DAYS - i06
use `sec_i', clear

drop if i06a==. | i06a==0

*INCLUDING CONVERTION FACTORS FOR COMMON UNITS OF MEASURMENT
ren i06b unit
sort i02 unit north 
merge i02 unit north using $dataoth2\mwconversion.dta
tab _m
tab i02 unit if _m==1,m				/* NOT ALL UNITS ARE IN MWCONVERSION.DTA*/
tab i02 unit if _m==1 & other~=1,m
drop if _m==2
drop _m

*TOTAL CONSUMPTION IN GRAMS FOR POVERTY LINE
gen seci_grams_06=i06a*grams			
			
*REPLACING OUTLIERS IN GRAMS CONSUMPTION
bys i02: egen mediang = median(seci_grams_06)

replace seci_grams=mediang if i02==101 & seci_grams>35000 & seci_grams~=.
replace seci_grams=mediang if i02==102 & seci_grams>35000 & seci_grams~=.
replace seci_grams=mediang if i02==103 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==104 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==105 & seci_grams>35000 & seci_grams~=.
replace seci_grams=mediang if i02==106 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==107 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==108 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==111 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==112 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==113 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==114 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==115 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==116 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==201 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==202 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==203 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==204 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==205 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==206 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==207 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==208 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==301 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==302 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==303 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==304 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==305 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==306 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==307 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==401 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==402 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==403 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==404 & seci_grams>15000 & seci_grams~=.
replace seci_grams=mediang if i02==405 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==406 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==407 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==408 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==409 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==410 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==411 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==412 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==501 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==502 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==503 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==504 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==505 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==506 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==507 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==508 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==509 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==510 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==511 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==601 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==602 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==603 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==604 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==605 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==606 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==607 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==608 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==609 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==701 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==702 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==703 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==704 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==705 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==706 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==707 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==708 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==801 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==802 & seci_grams>30000 & seci_grams~=.
replace seci_grams=mediang if i02==803 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==810 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==811 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==812 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==813 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==814 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==815 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==816 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==820 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==821 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==822 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==823 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==824 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==825 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==826 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==827 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==828 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==829 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==901 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==902 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==903 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==904 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==905 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==906 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==907 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==908 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==909 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==910 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==911 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==912 & seci_grams>5000 & seci_grams~=.

collapse (sum)  seci_grams_06  , by(case_id i02 )
bys case_id i02: assert _n==1
tempfile sec_i02_6
save `sec_i02_6'
********************************************************************************************
* 		 GIFTS AND OTHER SOURCES - i07 
use `sec_i', clear

drop if i07a==. | i07a==0

*INCLUDING CONVERTION FACTORS FOR COMMON UNITS OF MEASURMENT
ren i07b unit
sort i02 unit north 
merge i02 unit north  using $dataoth2\mwconversion.dta
tab _m
tab i02 unit if _m==1,m				/* NOT ALL UNITS ARE IN MWCONVERSION.DTA*/
tab i02 unit if _m==1 & other~=1,m
drop if _m==2
drop _m

*TOTAL CONSUMPTION IN GRAMS FOR POVERTY LINE
gen seci_grams_07=i07a*grams									 

*REPLACING OUTLIERS IN GRAMS CONSUMPTION
bys i02: egen mediang = median(seci_grams_07)

replace seci_grams=mediang if i02==101 & seci_grams>35000 & seci_grams~=.
replace seci_grams=mediang if i02==102 & seci_grams>35000 & seci_grams~=.
replace seci_grams=mediang if i02==103 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==104 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==105 & seci_grams>35000 & seci_grams~=.
replace seci_grams=mediang if i02==106 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==107 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==108 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==111 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==112 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==113 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==114 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==115 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==116 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==201 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==202 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==203 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==204 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==205 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==206 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==207 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==208 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==301 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==302 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==303 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==304 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==305 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==306 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==307 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==401 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==402 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==403 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==404 & seci_grams>15000 & seci_grams~=.
replace seci_grams=mediang if i02==405 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==406 & seci_grams>10000 & seci_grams~=.

replace seci_grams=mediang if i02==407 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==408 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==409 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==410 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==411 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==412 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==501 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==502 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==503 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==504 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==505 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==506 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==507 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==508 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==509 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==510 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==511 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==601 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==602 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==603 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==604 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==605 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==606 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==607 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==608 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==609 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==701 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==702 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==703 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==704 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==705 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==706 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==707 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==708 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==801 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==802 & seci_grams>30000 & seci_grams~=.
replace seci_grams=mediang if i02==803 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==810 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==811 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==812 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==813 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==814 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==815 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==816 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==820 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==821 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==822 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==823 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==824 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==825 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==826 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==827 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==828 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==829 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==901 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==902 & seci_grams>1000 & seci_grams~=.
replace seci_grams=mediang if i02==903 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==904 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==905 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==906 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==907 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==908 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==909 & seci_grams>20000 & seci_grams~=.
replace seci_grams=mediang if i02==910 & seci_grams>10000 & seci_grams~=.
replace seci_grams=mediang if i02==911 & seci_grams>5000 & seci_grams~=.
replace seci_grams=mediang if i02==912 & seci_grams>5000 & seci_grams~=.

collapse (sum) seci_grams_07, by(case_id i02 )
tempfile sec_i02_7
save `sec_i02_7'
********************************************************************************************
* TOTAL GRAMS
use `sec_i02_5'
sort case i02
merge case i02 using `sec_i02_6'
tab _m
drop _m
sort case i02
merge case i02 using `sec_i02_7'
tab _m
drop _m
keep case i02 seci_grams* i0*
bys case i02: assert _n==1

egen 	sec_i_grams0 = rsum(seci_grams_07 seci_grams_06 seci_grams_05)
label var sec_i_grams 		"Total grams on food item"
label var seci_grams_05    	"I05 grams on food item"
label var seci_grams_06    	"I06 grams on food item"
label var seci_grams_07    	"I07 grams on food item"
label var i05_exp     		"MK expenditure on purchases foods"
keep case i02  sec_i_grams0  seci_grams_* i05_exp
order case i02 sec_i_grams0  seci_grams_* i05_exp
sort case i02
save "$dataoth2\expagg_food0",replace

log close

